### Constructor

# Camel VeeMessageInfo new

since: 3.24

#### Declaration [src]

    CamelMessageInfo*
    camel_vee_message_info_new (
      CamelFolderSummary* summary,
      CamelFolderSummary* original_summary,
      const gchar* vuid
    )

#### Description [src]

Creates a new instance of `CamelVeeMessageInfo` which references a message from the `original_summary` internally.

The `vuid` should be encoded in a way which the vFolder understands, which is like the one returned by camel_vee_message_info_data_get_vee_message_uid().

Available since: 3.24

#### Parameters

`summary`

  Type: `CamelFolderSummary`

  A `CamelVeeSummary`, the “owner” of the created message info.

  The data is owned by the caller of the function.

`original_summary`

  Type: `CamelFolderSummary`

  An original `CamelFolderSummary` to reference to.

  The data is owned by the caller of the function.

`vuid`

  Type: `const gchar*`

  What UID to set on the resulting message info.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelMessageInfo`

A newly created `CamelVeeMessageInfo` which references `orig_mi`. Free with `g_object_unref()` when done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.